﻿
@import url('https://fonts.googleapis.com/earlyaccess/mplus1p.css');
@import url('https://fonts.googleapis.com/css?family=PT+Mono|Ubuntu+Mono');
@import url('https://fonts.googleapis.com/css2?family=Yusei+Magic&display=swap');

input,select {
  background-color:#ffffff;
  color:#666666;
  border-style:solid;
  border-width:0px 0px 1px 0px;
  border-color:#00aeef;
}

.header_image {
  margin:0 auto 30px auto;
  border-left: 10px solid #00aeef;
  padding: 10px;
  font-size: 16px;
  font-weight: bold;
  color:#333333;
}

.text {
    transform: rotate(0.05deg);
}

body {
  margin-right: auto;
  margin-left: auto;
  width: 720px;
  font-family: "Mplus 1p", Tahoma, Verdana, Chicago, Arial, Osaka, sans-serif;
  font-size: 14px;
  line-height: 1.6;
  padding-top: 10px;
  padding-bottom: 10px;
  background-color: white;
  padding: 30px;
  background:#f7f7f7 url(images/pattern.png) fixed;
}

body > *:first-child {
  margin-top: 0 !important; }
body > *:last-child {
  margin-bottom: 0 !important; }

.item {
  font-size:14px;
  color:black;
  line-height:15px;
  list-style:square;
  padding:0;
  margin:5px 20px;
}

a
{
    color:#00aeef; 
    text-decoration:none;
}
a:hover
{
    color:navy; 
    text-decoration:none; 
    font-weight:bold;
}

h1, h2, h3, h4, h5, h6 {
  font-family:"Yusei Magic", "Mplus 1p", Tahoma, Verdana, Chicago, Arial, Osaka, sans-serif;
  margin: 20px 0 10px;
  padding: 0;
  font-weight: bold;
  -webkit-font-smoothing: antialiased;
  cursor: text;
  position: relative; }

h1:hover a.anchor, h2:hover a.anchor, h3:hover a.anchor, h4:hover a.anchor, h5:hover a.anchor, h6:hover a.anchor {
  text-decoration: none; }

h1 tt, h1 code {
  font-size: inherit; }

h2 tt, h2 code {
  font-size: inherit; }

h3 tt, h3 code {
  font-size: inherit; }

h4 tt, h4 code {
  font-size: inherit; }

h5 tt, h5 code {
  font-size: inherit; }

h6 tt, h6 code {
  font-size: inherit; }

h1 {
  font-size: 24px;
  border-bottom: 2px solid #00aeef;
  border-left: 10px solid #00aeef;
  padding-left: 10px;
  color: black;
}

h2 {
  font-size: 20px;
  border-bottom: 1px solid #00aeef;
  color: black; }

h3 {
  font-size: 18px;
  border-bottom: 1px solid #cccccf;
  color: black; }

h4 {
  font-size: 16px; }

h5 {
  font-size: 14px; }

h6 {
  color: #777777;
  font-size: 14px; }
  
p {
  width: 47em;
  margin: 15px 0; }  

blockquote, ul, ol, dl, li, table, pre {
  margin: 15px 0; }


body > h2:first-child {
  margin-top: 0;
  padding-top: 0; }
body > h1:first-child {
  margin-top: 0;
  padding-top: 0; }
  body > h1:first-child + h2 {
    margin-top: 0;
    padding-top: 0; }
body > h3:first-child, body > h4:first-child, body > h5:first-child, body > h6:first-child {
  margin-top: 0;
  padding-top: 0; }

a:first-child h1, a:first-child h2, a:first-child h3, a:first-child h4, a:first-child h5, a:first-child h6 {
  margin-top: 0;
  padding-top: 0; }

h1 p, h2 p, h3 p, h4 p, h5 p, h6 p {
  margin-top: 0; }

li p.first {
  display: inline-block; }

ul, ol {
  padding-left: 30px; }

dl {
  padding: 0; }
  dl dt {
    font-size: 14px;
    font-weight: bold;
    font-style: italic;
    padding: 0;
    margin: 15px 0 5px; }
    dl dt:first-child {
      padding: 0; }
    dl dt > :first-child {
      margin-top: 0; }
    dl dt > :last-child {
      margin-bottom: 0; }
  dl dd {
    margin: 0 0 15px;
    padding: 0 15px; }
    dl dd > :first-child {
      margin-top: 0; }
    dl dd > :last-child {
      margin-bottom: 0; }

blockquote {
  border-left: 4px solid #dddddd;
  padding: 0 15px;
  color: #777777; }
  blockquote > :first-child {
    margin-top: 0; }
  blockquote > :last-child {
    margin-bottom: 0; }

table {
  padding: 0; }
  table tr {
    border-top: 1px solid #cccccc;
    background-color: white;
    margin: 0;
    padding: 0; }
    table tr:nth-child(2n) {
      background-color: #f8f8f8; }
    table tr th {
      font-weight: bold;
      border: 1px solid #cccccc;
      text-align: left;
      margin: 0;
      padding: 6px 13px; }
    table tr td {
      border: 1px solid #cccccc;
      text-align: left;
      margin: 0;
      padding: 6px 13px; }
    table tr th :first-child, table tr td :first-child {
      margin-top: 0; }
    table tr th :last-child, table tr td :last-child {
      margin-bottom: 0; }

img {
  max-width: 100%; }

span.frame {
  display: block;
  overflow: hidden; }
  span.frame > span {
    border: 1px solid #dddddd;
    display: block;
    float: left;
    overflow: hidden;
    margin: 13px 0 0;
    padding: 7px;
    width: auto; }
  span.frame span img {
    display: block;
    float: left; }
  span.frame span span {
    clear: both;
    color: #333333;
    display: block;
    padding: 5px 0 0; }
span.align-center {
  display: block;
  overflow: hidden;
  clear: both; }
  span.align-center > span {
    display: block;
    overflow: hidden;
    margin: 13px auto 0;
    text-align: center; }
  span.align-center span img {
    margin: 0 auto;
    text-align: center; }
span.align-right {
  display: block;
  overflow: hidden;
  clear: both; }
  span.align-right > span {
    display: block;
    overflow: hidden;
    margin: 13px 0 0;
    text-align: right; }
  span.align-right span img {
    margin: 0;
    text-align: right; }
span.float-left {
  display: block;
  margin-right: 13px;
  overflow: hidden;
  float: left; }
  span.float-left span {
    margin: 13px 0 0; }
span.float-right {
  display: block;
  margin-left: 13px;
  overflow: hidden;
  float: right; }
  span.float-right > span {
    display: block;
    overflow: hidden;
    margin: 13px auto 0;
    text-align: right; }

code, tt {
  font-size:12px;
  font-family:consolas, "Ubuntu Mono", "PT Mono", "Lucida Console", "Courier New", courier, monospace;
  margin: 0 2px;
  padding: 0 5px;
  white-space: nowrap;
  border: 1px solid #eaeaea;
  background-color: #f8f8f8;
  border-radius: 3px; }

pre code {
  font-size:12px;
  font-family:consolas, "Ubuntu Mono", "PT Mono", "Lucida Console", "Courier New", courier, monospace;
  margin: 0;
  padding: 0;
  white-space: pre;
  border: none;
  background: transparent; }

.highlight pre {
  background-color: #f8f8f8;
  border: 1px solid #cccccc;
  font-size: 13px;
  line-height: 19px;
  overflow: auto;
  padding: 6px 10px;
  border-radius: 3px; }

pre {
  background-color: #f8f8f8;
  border: 1px solid #cccccc;
  font-size: 13px;
  line-height: 19px;
  overflow: auto;
  padding: 6px 10px;
  border-radius: 3px; }
  pre code, pre tt {
    background-color: transparent;
    border: none; }
    
tr {
    page-break-inside: avoid; }

.sourceCode { overflow: visible; }

address {
    text-align: center;
    margin: -5px;
    font-family:"Mplus 1p", Tahoma, Verdana, Chicago, Arial, Osaka, sans-serif;
    font-style: normal;
    font-size:100%;  
    color: #333333;
}

.sitemenu {
    width: 100%;
    height: 48px;
    margin:0 auto 30px auto;
    background-color: #00aeef;
    padding-top: 0px;
    box-sizing: border-box;
    text-align: center;
    font-weight:bold;
}
.sitemenu ul {
   display: flex;
   margin-top: 0;
}
.sitemenu ul li a {
  display: block;
  text-decoration: none;
  color: white;
  margin-right: 32px;
}

#TOC{
    margin:2em 0;
    position: relative;
    padding: 0.5em 1.5em;
    border-top: solid 2px black;
    border-bottom: solid 2px black;
}
#TOC:before, #TOC:after{
    content: '';
    position: absolute;
    top: -10px;
    width: 2px;
    height: -webkit-calc(100% + 20px);
    height: calc(100% + 20px);
    background-color: black;
}
#TOC:before {left: 10px;}
#TOC:after {right: 10px;}
#TOC p {
    margin: 0; 
    padding: 0;
}

.list
    {
        list-style:square;
        margin:5px 5px;
    }

.iro
    {
        color:#00aeef;
        padding:0px;
    }

.text
    {
        width:100%;
        margin:-3px 20px 10px 20px;
        padding:8px 12px;
        border-style:solid;
        border-color:#00aeef;
        border-width:0px 0px 0px 2px;
        color:black;
        line-break:strict;
        line-height:180%;
    }

.midasi
    {
        font-family:"Yusei Magic", "Mplus 1p", Tahoma, Verdana, Chicago, Arial, Osaka, sans-serif;
        margin:10px 0px 0px 5px;
        padding:3px 10px;
        color:black;
        border-style:solid;
        border-color:#00aeef;
        border-width:0px 0px 2px 0px;
        font-size:18px;
    }

.title
    {
        font-family:"Yusei Magic", "Mplus 1p", Tahoma, Verdana, Chicago, Arial, Osaka, sans-serif;
        font-size: 24px;
        font-style: bold;
        border-left: 0;
        border-bottom: 0;
        color:#ffffff ; 
        background:#000000 ; 
        padding-left: 20px;
        
    }
    
.site_information
    {
        font:bold 18px Tahoma ; 
        letter-spacing:1.8px ; 
        border-left: 0;
        border-bottom: 0;
        color:#ffffff ; 
        background:#000000 ; 
        text-align: center;
    }

